Skip to main content
GET
/
v3
/
user-access-keys
List the caller's API keys.
curl --request GET \
  --url https://api.example.com/v3/user-access-keys \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "key_id": "<string>",
        "name": "<string>",
        "key_suffix": "abc123",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z",
        "user": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        },
        "organization": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "last_used_at": "2023-11-07T05:31:56Z"
      }
    ],
    "max_access_keys_per_user": 5
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ordering
string

Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

Response

Paginated list of the caller's API keys. Pagination metadata (total, offset, page_size) is included in the response envelope.

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object